package com.nx.umms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nx.umms.model.entity.ModelProperty;
import com.nx.umms.model.vo.ModelPropertyVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Auther: wangjian
 * @Date: 2022/2/22 16:25
 * @Description:模型属性数据层接口
 */

@Mapper
public interface ModelPropertyMapper extends BaseMapper<ModelProperty> {

    List<ModelPropertyVO> listModelPropertyVO(@Param("modelCode") String modelCode,
                                              @Param("ownerCompanyCode") String ownerCompanyCode,
                                              @Param("modelGroupCode") String modelGroupCode);

}
