package com.nx.umms.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * @Auther: wangjian
 * @Date: 2022/3/25 17:30
 * @Description:模型版本对象
 */

@Data
@Accessors(chain = true)
@TableName("ocp_model_version")
public class ModelVersion {

    /**
     * 模型分类编号
     */
    @TableId(value = "mv_id", type = IdType.ASSIGN_ID)
    private String mvId;

    /**
     * 版本号
     */
    private String versionNumber;

    /**
     * 版本编码
     */
    private String versionCode;

    /**
     * 版本描述
     */
    private String versionDescription;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

}
